#if !defined(AFX_LOGSETTINGSPAGE_H__57D6BD3D_04C2_4302_8924_02F298B20F5A__INCLUDED_)
#define AFX_LOGSETTINGSPAGE_H__57D6BD3D_04C2_4302_8924_02F298B20F5A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LogSettingsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLogSettingsPage dialog

class CLogSettingsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CLogSettingsPage)

// Construction
public:
	CLogSettingsPage();
	~CLogSettingsPage();

// Dialog Data
	//{{AFX_DATA(CLogSettingsPage)
	enum { IDD = IDD_LOGGING_PAGE };
	CString	m_strServerLogPath;
	CString	m_strSOAPTraceLogPath;
	CString	m_strUserAgentLogPath;
	BOOL	m_bServerLogEnabled;
	BOOL	m_bUserAgentLogEnabled;
	BOOL	m_bSOAPTraceLogEnabled;
	//}}AFX_DATA

	BOOL m_bDirty;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CLogSettingsPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	BOOL QueryLogSettings();
	BOOL UpdateLogSettings();

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CLogSettingsPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeEditLogServer();
	afx_msg void OnChangeEditLogSoaptrace();
	afx_msg void OnChangeEditLogUseragent();
	afx_msg void OnCheckSvrLogEnabled();
	afx_msg void OnCheckUALogEnabled();
	afx_msg void OnCheckSOAPLogEnabled();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGSETTINGSPAGE_H__57D6BD3D_04C2_4302_8924_02F298B20F5A__INCLUDED_)
